#
# spec file for package yast2-samba-client
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-samba-client
Version:        4.3.3
Release:        3.3.1
Summary:        YaST2 - Samba Client Configuration
Group:          System/YaST
License:        GPL-2.0-only
URL:            https://github.com/yast/yast-samba-client

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-pam
BuildRequires:  yast2-perl-bindings

Requires:       perl-XML-LibXML
# new Pam.ycp API
Requires:       yast2-pam >= 2.14.0
# SuSEFirewall2 replaced by firewalld (fate#323460)
Requires:       yast2 >= 4.0.39
# Yast::Lan.yast_config
Requires:       yast2-network >= 4.2.0
Requires:       yast2-python3-bindings >= 4.0.8
Requires:       yast2-ruby-bindings >= 1.0.0

Conflicts:      yast2-kerberos-client < 3.1.2

Recommends:     samba-python3

Supplements:    autoyast(samba-client)

BuildArch:      noarch

%description
This package contains the YaST2 component for configuration of an SMB
workgroup/domain and authentication against an SMB domain.

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%{yast_agentdir}
%{yast_schemadir}
%{yast_icondir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Mon Mar 15 2021 petr.pavlu@suse.com
- Fix joining a domain when running a clustered Samba environment
  (bsc#1181595).
- 4.3.3
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(samba-client) into the spec
  file in order to install this packages if the section has been
  defined in the AY configuration file (bsc#1146494).
- 4.3.2
* Wed May 27 2020 dgonzalez@suse.com
- Dropped legacy testsuite (related to bsc#1138668).
- 4.3.1
* Tue May 12 2020 jreidinger@localhost
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Wed Jan 15 2020 scabrero@suse.de
- Do not stop nmbd while nmbstatus is running, it is not necessary
  anymore; (bsc#1158916);
- 4.2.3
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.2
* Thu Apr 25 2019 dmulder@suse.com
- Stop using deprecated idmap options; (jsc#SLE-5632); (jsc#SLE-6283);
- 4.2.1
* Fri Apr  5 2019 jreidinger@suse.com
- Replace YaPI calls (fate#323734)
- 4.2.0
* Thu Apr  4 2019 dmulder@suse.com
- Fix join fails with 'Failed to join domain: Invalid configuration';
  (bsc#1131607).
- 4.1.2
* Tue Feb  5 2019 dmulder@suse.com
- Perform the workgroup lookup using samba python bindings;
  (bsc#1124390).
- 4.1.1
* Fri Jan 18 2019 dmulder@suse.com
- Use a cldap ping to search for the join server; (bsc#1122534).
- 4.1.0
* Mon Nov 26 2018 noahadvs@gmail.com
- Provide icon with module (boo#1109310)
- 4.0.4
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Sep 26 2018 scabrero@suse.de
- Fix reading the permitted group to create "user shares";
  (bsc#1107574).
- 4.0.3
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Apr 27 2018 palcantara@suse.de
- yast-samba-client fails to join if /etc/samba/smb.conf or
  /etc/krb5.conf don't exist; (bsc#1089938)
- 4.0.2
* Fri Apr 27 2018 knut.anderssen@suse.com
- Use firewalld samba service definition (bsc#1083456)
- 4.0.1
* Fri Feb  2 2018 knut.anderssen@suse.com
- SuSEFirewall2 replaced by firewalld (fate#323460)
- 4.0.0
* Fri May 26 2017 nopower@suse.com
- Enable yast to create temporary smb.conf based on existing
  contents of /etc/samba/smb.conf; (bsc#1039764).
- 3.1.19
* Tue Oct 11 2016 nopower@suse.com
- Adjust vertical spacing in Server Directories Frame; (bsc#988901).
- 3.1.18
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.17
* Thu Jan 21 2016 lmuelle@suse.com
- Use default_ccache_name FILE:/tmp/krb5cc_%%{uid}; (bnc#921530).
- 3.1.16
* Mon Jan 12 2015 nopower@suse.com
- When joining domain provide osName & osVer arguments to "net ads join"
  (bnc#873922).
- 3.1.15
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu Oct 30 2014 nopower@suse.com
- Don't update Workgroup with realm name invoking
  yast samba-client winbind enable; (bnc#902302)
- 3.1.14
* Mon Sep 22 2014 ddiss@suse.com
- Ensure nmbd is restarted following nmbstatus lookup; (bnc#895319).
- 3.1.13
* Thu Aug 28 2014 ddiss@suse.com
- Support non-default ctdbd socket paths; (bnc#893154).
- 3.1.12
* Fri Aug 22 2014 ddiss@suse.com
- Support separately defined Samba resources; don't manipulate the
  ctdb_manages_winbind parameter during join; (bnc#892982).
- 3.1.11
* Thu Aug 21 2014 ddiss@suse.com
- Fix CTDB resource primitive path regular expression; (bnc#892975).
- 3.1.10
* Tue May 27 2014 noel.power@suse.com
- Mark some strings for translation; (bnc#877744)
- 3.1.9
* Fri Apr 11 2014 locilka@suse.com
- Fixed textdomain in Kerberos library (kerberos -> samba-client)
- 3.1.8
* Thu Mar 27 2014 ddiss@suse.com
- Fix handling of CTDB primitives containing hyphens
- Remove CTDB crm resource hierarchy assumption; (bnc#813462).
- Add SUSE Samba Team as MAINTAINER
- 3.1.7
* Wed Mar 26 2014 nopower@suse.com
- Add needed scr agent /usr/share/YaST2/scrconf/etc_ssh_ssh_config.scr;
  (bnc#870230)
- 3.1.6
* Wed Mar 19 2014 ddiss@suse.com
- Fix standalone AD join from a HA cluster; (bnc#865445).
- 3.1.5
* Thu Feb 27 2014 jsuchome@suse.cz
- include Kerberos.rb in the package (bnc#865769)
- 3.1.4
* Mon Feb  3 2014 varkoly@suse.com
- Include Kerberos.rb module because dropping yast2-kerberos-client
- 3.1.3
* Mon Feb  3 2014 nopower@suse.com
- Add in 'Expert Settings' page  new 'Allowed group(s)' field to
  facilitate populating the requires_of_membership field in
  pam_winbind.conf configuration file. (fate #312146)
- 3.1.2
* Wed Oct 23 2013 jsuchome@suse.cz
- CLI; read AD settings, so the write command does not fallback
  to non-AD defaults (bnc#845878)
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Fri Jul 26 2013 jsuchome@suse.cz
- cluster checks: first check for packages, than scan IPs
- 2.24.3
* Mon Jul  1 2013 jsuchome@suse.cz
- sort array keys to have deterministic test output
- 2.24.2
* Wed Apr 17 2013 jsuchome@suse.cz
- ignore 127.0.0.1 while going through IP's (bnc#811008)
- 2.24.1
* Thu Mar 28 2013 jsuchome@suse.cz
- one more csync2 invocation so smb.conf is correctly propagated
  to cluster nodes (bnc#802814)
- cluster allows DHCP configuration, but check if IPs are configured
  for it (bnc#811008)
- show error message when cluster config is not correct (bnc#809208)
- ensure cluster options are present in smb.conf during join
  (bnc#809208) and testjoin (bnc#810592)
- 2.24.0
* Wed Feb 20 2013 jsuchome@suse.cz
- synchronize cluster before restarting CTDB clone service
  (bnc#802814)
- force synchronization of smb.conf (bnc#802814)
- do not use hard-coded ctdb resource identifier (bnc#804303)
- 2.23.2
* Fri Jan 18 2013 jsuchome@suse.cz
- support for CTDB functionality to join AD Domain (fate#312706)
- do not offer stopping services (confusing)
- join with netbios name (if available) also to AD domain
- 2.23.1
* Thu Oct 11 2012 jsuchome@suse.cz
- remove obsolete SuSEconfig call
- 2.23.0
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
- 2.22.2
* Wed Jan 25 2012 jsuchome@suse.cz
- confirmed license
- 2.22.1
* Wed Nov 16 2011 jsuchome@suse.cz
- merged texts from proofreading
- 2.22.0
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.5
* Tue Sep 13 2011 lslezak@suse.cz
- 2.21.4
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Thu Jun 30 2011 jsuchome@suse.cz
- fixed typo in help text (bnc#702620)
* Fri Jun 24 2011 jsuchome@suse.cz
- use ButtonBox when appropriate (bnc#701260)
- 2.21.3
* Wed Apr  6 2011 jsuchome@suse.cz
- UI option to set kerberos method (bnc#673982)
- 2.21.2
* Mon Apr  4 2011 jsuchome@suse.cz
- set the value of 'kerberos method' option for single sign on,
  add the API for its possible change (bnc#673982)
- 2.21.1
* Wed Mar 23 2011 jsuchome@suse.cz
- aborting in Stage::cont does not abort installation (bnc#678650)
- 2.21.0
* Wed Jan  5 2011 jsuchome@suse.cz
- import all config file sections, not only [global]
- do not let dollar sign be part of autoYaST XML (bnc#662250)
- 2.20.2
* Mon Jan  3 2011 jsuchome@suse.cz
- updated schema file to include all known options (bnc#660979)
- 2.20.1
* Wed Sep 22 2010 jsuchome@suse.cz
- updated help texts (bnc#636643)
- 2.20.0
* Thu Jul 15 2010 jsuchome@suse.cz
- tell kerberos client not to check for DNS when saving AD
  configuration (bnc#622235)
- fixed joining from CLI
- added API for setting the realm
- 2.19.7
* Tue Jun  1 2010 jsuchome@suse.cz
- install needed packages before trying to join (bnc#610486)
- 2.19.6
* Thu Apr  1 2010 jsuchome@suse.cz
- allow editing Machine Account OU in autoYaST config (bnc#581347)
- 2.19.5
* Wed Feb 24 2010 jsuchome@suse.cz
- allow numbers in smb.conf keys (bnc#575442)
- 2.19.4
* Tue Feb 23 2010 jsuchome@suse.cz
- do not delete sections on Export (bnc#571073)
- 2.19.3
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu Dec 10 2009 jsuchome@suse.cz
- kde4-kdm is now kdm (bnc#561900)
- sort machine accounts (bnc#558835)
- 2.19.2
* Tue Nov 24 2009 jsuchome@suse.cz
- preserve case of keys in smb.conf (bnc#555579)
- 2.19.1
* Thu Nov 19 2009 jsuchome@suse.cz
- install pam_mount if necessary (bnc#552211)
- 2.19.0
* Thu Sep  3 2009 jsuchome@suse.cz
- added keywords to desktop file
- 2.18.3
* Fri Aug 21 2009 jsuchome@suse.cz
- include /etc/samba/dhcp.conf in temporary smb.conf if such
  configuration is allowed in sysconfig (bnc#520648)
- 2.18.2
* Fri Jun 26 2009 jsuchome@suse.cz
- manual installation of 32bit packages packages no longer needed
  (bnc#354164)
- 2.18.1
* Fri Jun  5 2009 jsuchome@suse.cz
- fixed architecture dependent packages for PPC (bnc#505263)
- 2.18.0
* Thu Nov  6 2008 jsuchome@suse.cz
- note services that should be restarted after installation
  (bnc#395402)
- 2.17.11
* Wed Oct 29 2008 jsuchome@suse.cz
- fixed reading /etc/security/pam_winbind.conf (bnc#433210)
- do not restart dbus from YaST (bnc#395402)
- 2.17.10
* Wed Oct 15 2008 jsuchome@suse.cz
- updated help text for pam_mount configuration
- offer "user=%%(DOMAIN_USER)" as a default option value (bnc#433845)
- 2.17.9
* Mon Oct 13 2008 jsuchome@suse.cz
- enable pam_mount module for PAM (bnc#433845)
- do not use tmp config files for leaving domain (bnc#433836)
- check for nil value of .process.read
- restart of dbus is back (there's no reload)
- 2.17.8
* Thu Sep 25 2008 jsuchome@suse.cz
- do not restart dbus service, reload it (bnc#429520)
- 2.17.7
* Thu Sep 18 2008 jsuchome@suse.cz
- added help text for pam_mount table
- use correct, not temporary pam_mount.conf.xml file
- 2.17.6
* Tue Sep 16 2008 jsuchome@suse.cz
- install pam_mount package (for fate#300967)
- 2.17.5
* Fri Sep 12 2008 jsuchome@suse.cz
- added generic dialog for editing 'volume' entries of
  pam_mount.conf.xml (fate#300967)
- 2.17.4
* Tue Sep  9 2008 jsuchome@suse.cz
- merged texts from proofread
- 2.17.3
* Fri Sep  5 2008 jsuchome@suse.cz
- fixed writing /etc/nsswitch.conf
- ag_pam_mount: added path to reading specific file elements
- preliminary support for reading pam_mount.conf.xml
- 2.17.2
* Wed Aug 13 2008 jsuchome@suse.cz
- added option to use WINS for hosts resolution (fate#300971)
- obsoleted .background agent replaced with .process
- 2.17.1
* Fri Jun  6 2008 jsuchome@suse.cz
- check for KDE4's kdm when saving DISPLAYMANAGER_AD_INTEGRATION
  (bnc#392122)
- 2.17.0
* Tue Jun  3 2008 jsuchome@suse.cz
- correctly quote the 'net join' command (bnc#396070)
- 2.16.9
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Tue Apr 29 2008 jsuchome@suse.cz
- save smb.conf when winbind is off (better fix for bnc#383374)
- 2.16.8
* Fri Apr 25 2008 jsuchome@suse.cz
- correctly create machine account: transform DN, use correct
  argument, do not try with default value (bnc#383360)
- use temporary krb5.conf also for obtaining machine accounts
- remove AD info from smb.conf when domain was left (bnc#383374)
- 2.16.7
* Thu Apr 24 2008 jsuchome@suse.cz
- text fixes (bnc#383229)
- 2.16.6
* Fri Apr 11 2008 jsuchome@suse.cz
- added button for leaving AD domain (fate#300458)
- 2.16.5
* Wed Apr  9 2008 jsuchome@suse.cz
- enable specifying of the machine account (fate#301320)
- 2.16.4
* Wed Apr  2 2008 jsuchome@suse.cz
- enable single sign-on for SSH (fate #303415)
* Fri Mar 28 2008 jsuchome@suse.cz
- do not check for required packages during Read (bnc#374703)
- SambaConfig: do not create the hash by referencing inside
- 2.16.3
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Mon Jan 21 2008 jsuchome@suse.cz
- if nmbstatus output is not available, do a nmblookup query to
  check if we are dealing with a workgroup or domain (#251909)
- 2.16.2
* Mon Dec  3 2007 jsuchome@suse.cz
- merged texts from proofread
* Mon Nov  5 2007 jsuchome@suse.cz
- adapted helptext for home directories (#208475)
- 2.16.1
* Fri Oct 19 2007 jsuchome@suse.cz
- clear nscd cache instead of restarting nscd (#333305)
- 2.16.0
* Thu Aug  2 2007 jsuchome@suse.cz
- show error popup when installation of required packages fails
  (#296677)
- 2.15.11
* Thu Jul 19 2007 jsuchome@suse.cz
- do not offer disabling DHCP changes of hostname when
  it is already disabled (#292996)
- 2.15.10
* Tue Jun 19 2007 jsuchome@suse.cz
- added support for Smart Card (F302132): pkinit section in krb.conf
- 2.15.9
* Wed Jun  6 2007 jsuchome@suse.cz
- do not offer installation of samba-winbind when winbind is not
  used for authentication (#281383)
- 2.15.8
* Wed May 30 2007 jsuchome@suse.cz
- added help text for DHCP support (F120090)
- removed Browse button (#240045)
- 2.15.7
* Thu May 17 2007 jsuchome@suse.cz
- fix deleting shares from smb.conf (#264834)
- 2.15.6
* Tue Mar 27 2007 jsuchome@suse.cz
- after joining during installation ask user if DHCLIENT_SET_HOSTNAME
  should be set to "no" (#169260)
- autoyast support for disabling DHCLIENT_SET_HOSTNAME
- 2.15.5
* Tue Mar 13 2007 jsuchome@suse.cz
- added site-aware search for AD controllers (#253609)
- 2.15.4
* Thu Mar  8 2007 jsuchome@suse.cz
- added support for DHCP (F120090)
- 2.15.3
* Tue Jan 16 2007 jsuchome@suse.cz
- added missing schema file for autoyast (#235316)
- 2.15.2
* Tue Jan  9 2007 jsuchome@suse.cz
- install samba-client before reading smb.conf (#229246)
- 2.15.1
* Tue Dec 19 2006 jsuchome@suse.cz
- Expert Settings Popup for uid and gid ranges (F301518)
- SambaConfig: export modified entries only in config mode
- 2.15.0
* Thu Nov 30 2006 jsuchome@suse.cz
- install architecture-specific packages (#224418)
- prevent 'net' asking for root's pw (#225224)
- 2.14.4
* Mon Nov  6 2006 jsuchome@suse.cz
- use correct AD domain name for joining (#214463, #214641)
- give NTP client module information about server (#215645)
- 2.14.3
* Mon Oct 30 2006 jsuchome@suse.cz
- offer the option to run NTP confiuration (#215645)
- 2.14.2
* Mon Oct 30 2006 jsuchome@suse.cz
- save smb.conf during autoinstallation (#188864)
- read realm during write instead of import
- export all modified shares from SambaConfig
- fixed writing in command line mode (#207268)
- 2.14.1
* Fri Aug 25 2006 jsuchome@suse.cz
- adapted for pam-config usage (F300956)
- API of PamSettings module is obsolete
- 2.14.0
* Wed Aug 23 2006 jsuchome@suse.cz
- new checkbox for Guest Access to shares (#144787)
- added more options for autoyast (#188917)
- 2.13.25
* Mon Aug 21 2006 jsuchome@suse.cz
- autoyast: join to domain during Write, not during Import (#188917)
- 2.13.24
* Wed Jun 28 2006 jsuchome@suse.cz
- fixed key names used for joining during autoinstallation (#188864)
- 2.13.23
* Thu Jun 22 2006 jsuchome@suse.cz
- restart also zmd after dbus (#174589)
- 2.13.22
* Tue Jun 20 2006 jsuchome@suse.cz
- restart D-BUS after nscd (#174589)
- 2.13.21
* Mon Jun 19 2006 jsuchome@suse.cz
- show info about services to restart (#174589)
- 2.13.20
* Thu Jun  8 2006 jsuchome@suse.cz
- set the "template shell" value also for non-AD domain (#176222)
- 2.13.19
* Wed Apr 26 2006 jsuchome@suse.cz
- use tmp samba config file for joining as workaround for #168300
- do not remove workgroup key when AD is not used
- use "domain" value for "security" key for non-AD setups (#168300)
- 2.13.18
* Wed Apr 19 2006 jsuchome@suse.cz
- fixed Import/Export for keys in /etc/security/pam_winbind.conf
- 2.13.17
* Wed Apr 19 2006 jsuchome@suse.cz
- skip reading of pam_winbind if it was read before
  (-> and fix the failing testsuite of yast2-samba-server)
- 2.13.16
* Thu Apr 13 2006 jsuchome@suse.cz
- use /etc/security/pam_winbind.conf for winbind config (#165775)
- 2.13.15
* Wed Mar 29 2006 jsuchome@suse.cz
- fixed dig call (#158726)
- 2.13.14
* Mon Mar 27 2006 jsuchome@suse.cz
- stop services automatically with only 1 section in smb.conf (#160517)
- 2.13.13
* Fri Mar 17 2006 jsuchome@suse.cz
- restart smb and nmb if they are running (#143908)
* Thu Mar 16 2006 jsuchome@suse.cz
- do not write "use kerberos keytab" (#154951)
- quote group name (#143908)
- fix dialog during installation (#158314)
- 2.13.12
* Thu Mar 16 2006 jsuchome@suse.cz
- restart nscd (#157902)
- adapt smbconf agent to accept special characters
- change group ownership if directory with shares already exists
- changed Shares frame label to better fit samba-server needs
- flush nscd cache (#157902)
- 2.13.11
* Mon Mar 13 2006 jsuchome@suse.cz
- split of shares write function to be used by yast2-samba-server
- 2.13.10
* Mon Mar 13 2006 jsuchome@suse.cz
- set 'users' group as default shares group owner
- start (and stop) smb and nmb services (#143908)
- 2.13.9
* Fri Mar 10 2006 jsuchome@suse.cz
- implement support for user shares (#143908, F300444)
- 2.13.8
* Thu Mar  9 2006 jsuchome@suse.cz
- changed texts to use Windows
- 2.13.8
* Wed Mar  8 2006 jsuchome@suse.cz
- correctly save boolean value to Kerberos module (#155716)
- write the new values to smb.conf even when some are present (#155716)
- adapt "domain logons" and "domain master" values for AD (#155716)
* Tue Feb 28 2006 jsuchome@suse.cz
- offline authentication checkbox (#143927)
- 2.13.6
* Thu Feb  2 2006 jsuchome@suse.cz
- show "Create Home" checkbox during installation (#147596)
- save pam_winbind.so to /etc/pam.d/common-password (#146189)
  (and revert behaviour introduced by #146653)
- 2.13.5
* Mon Jan 30 2006 jsuchome@suse.cz
- install samba-winbind at the same time as kerberos packages (#145256)
- set also password value in /etc/security/pam_unix2.conf (#146653)
- removed tmp path to /etc/pam.d file
- more initialization for getting the status (#143911)
- 2.13.4
* Mon Jan 30 2006 jsuchome@suse.cz
- added checkbox for creating directories (#143519)
- added status line, saying if machine is joined (#143911)
- 2.13.3
* Fri Jan 27 2006 jsuchome@suse.cz
- merged in proofread texts
* Fri Jan  6 2006 jsuchom e@suse.cz
- used DISPLAYMANAGER_AD_INTEGRATION instead of KDM_GREETER (#139338)
- 2.13.2
* Tue Dec 20 2005 jsuchome@suse.cz
- added autoyast support for joining and AD
- saved KDM_GREETER value for special greeter with winbind (#139338)
* Mon Dec 19 2005 jsuchome@suse.cz
- added support for multiple keys in smb.conf (#138555)
- 2.13.1
* Thu Dec 15 2005 jsuchome@suse.cz
- winbind options are now set in smb.conf
* Wed Dec 14 2005 jsuchome@suse.cz
- AD support:
    use temporary config file for kerberos during join
    install kerberos packages
    do not save "mappings" to kerberos config file
    use 'net LOOKUP DC' for searching the server
- initial support for disabling nscd (#137793)
- initial support for enabling FAM (#118196)
* Thu Dec  1 2005 jsuchome@suse.cz
- support joining AD domains (F122007)
- 2.13.0
* Thu Aug  4 2005 jsuchome@suse.cz
- 2.12.4
* Tue Aug  2 2005 locilka@suse.cz
- Calling SetModified when adjusting the Share (#93840)
* Mon Aug  1 2005 jsuchome@suse.cz
- unified searching popup (#66591)
- 2.12.3
* Thu Jun 23 2005 visnov@suse.cz
- applied proofread texts
* Mon Apr 25 2005 mlazar@suse.cz
- 2.12.2
* Fri Mar  4 2005 mlazar@suse.cz
- 2.12.1
- ycp tests replaced (and extended) with perl tests
* Fri Mar  4 2005 mlazar@suse.cz
- SambaConfig.pm:
  * removed config2all(), Config2All()
  * [Share]SetModified() now return false if modified flag alrady set
  * added UnsetModified()
  * Dump() display configuration in smb.conf-like format
  * Import() support also hashes (for easer testing)
- SambaNetJoin.pm: better tests exit status
- SambaNmbLookup.pm:
  * global variables changed from 'my' to 'our' (for testing)
  * better test exit status
  * GetAvailableDomains/Neighbours() now return sorted list
* Fri Mar  4 2005 mlazar@suse.cz
- 2.12.1
- SambaConfig.pm: fixed handling with comments in Read() and Write()
- SambaNmbLookup.pm: fixed checking nmb status
- SambaWinbind.pm: fixed AdjustNsswitch() and AdjustPam()
- updated testsuites
* Tue Mar  1 2005 mlazar@suse.cz
- 2.12.0
- fixed bug 66892: insufficiently informative error popup
* Fri Feb 18 2005 mlazar@suse.cz
- 2.11.4
- fixed testsuites
- SambaConfig.pm: fixed Export/Import (see #50736)
* Thu Feb 17 2005 mlazar@suse.cz
- internal key "_commentout" replaced by "_disabled"
- run nmbstatus as user nobody
* Wed Feb 16 2005 mlazar@suse.cz
- do not export undefined values
* Wed Feb 16 2005 mlazar@suse.cz
- 2.11.3
- internal values are not exported (see bug #50736)
- fixed importing/exporting unconfigured data
* Thu Jan 27 2005 mlazar@suse.cz
- 2.11.2
* Thu Jan 27 2005 mlazar@suse.cz
- fixed testsuites
* Tue Jan 25 2005 mlazar@suse.cz
- Progress::on()/off() replaced with Progress::set()
* Fri Jan 21 2005 mlazar@suse.cz
- 2.11.1
* Wed Dec 29 2004 mlazar@suse.cz
- fixed setting undefined values in SambaConfig.pm
* Mon Dec 20 2004 mlazar@suse.cz
- fix for abort during user module
* Fri Nov 19 2004 mlazar@suse.cz
- avoid computed arguments in sformat()
* Mon Nov  8 2004 mlazar@suse.cz
- 2.11.0
- Samba.ycp transformed to perl and splited to SambaConfig.pm,
  SambaNetJoin.pm, SambaNmbLookup.pm and SambawWinbind.pm
- adapted testsuite
* Mon Sep 13 2004 mlazar@suse.cz
- 2.10.5
* Fri Sep 10 2004 mlazar@suse.cz
- samba-winbind installed only when need
* Thu Sep  9 2004 mlazar@suse.cz
- Required replaced by PackageSystem (see bug 30872)
* Mon Sep  6 2004 mlazar@suse.cz
- fixed typo
* Mon Sep  6 2004 mlazar@suse.cz
- Added GetModified, SetModified for autoyast
- 2.10.4
* Mon Aug 30 2004 mlazar@suse.cz
- 2.10.3
- fixed Bug 44284 - Samba authentication allows to disable the authentication
* Thu Aug 19 2004 mlazar@suse.cz
- Fixed return value for CommandLine::Run()
* Wed Aug 18 2004 mlazar@suse.cz
- Fixed Back button for installation sequence
- Modified .etc.smb agent
- 2.10.2
* Tue Aug  3 2004 jsuchome@suse.cz
- Added Back and Next buttons for installation sequence
- 2.10.1
* Wed Jun 16 2004 visnov@suse.cz
- fixed testsuite
- 2.10.0
* Thu May 13 2004 visnov@suse.cz
- always provide user/password when joining domain (#40439)
- 2.9.17
* Tue Apr 27 2004 visnov@suse.cz
- enhance API for the new UI
- 2.9.16
* Wed Apr 21 2004 visnov@suse.cz
- really return password from dialog (#38996)
- 2.9.15
* Mon Apr 19 2004 visnov@suse.cz
- don't stop nscd when enabling winbind (suggested by lmuelle@suse.de)
- fix testsuite
- 2.9.14
* Tue Apr  6 2004 visnov@suse.cz
- stop nmbd temporarily for nmbstatus (#38452)
- 2.9.13
* Fri Apr  2 2004 visnov@suse.cz
- YaST is GPL now
- 2.9.12
* Fri Apr  2 2004 visnov@suse.cz
- don't try to read netbios name (#37942)
- 2.9.11
* Mon Mar 29 2004 visnov@suse.cz
- fixed warning
- 2.9.10
* Thu Mar 18 2004 visnov@suse.cz
- restart winbind if already running (#35356)
- update nmbstatus info if available (#36394)
- 2.9.9
* Mon Mar 15 2004 visnov@suse.cz
- compilation fix
- 2.9.7
* Wed Mar 10 2004 sh@suse.de
- V 2.9.7
- Fixed OpenDialog() / SetIcon() sequence
* Mon Mar  8 2004 visnov@suse.cz
- add yast2-installation to NFB
- set wizard icon
- 2.9.6
* Thu Mar  4 2004 visnov@suse.cz
- also install samba-winbind (#35343)
* Mon Mar  1 2004 visnov@suse.cz
- merged back proofread texts
- use Sequencer
- fix types
- 2.9.5
* Wed Feb 18 2004 jsuchome@suse.cz
- added possibility to call ShortSummary function from auto-client
* Wed Feb 18 2004 visnov@suse.cz
- 2.9.4
* Wed Feb 11 2004 visnov@suse.cz
- drop /etc/sysconfig/samba support - does not exist anymore
* Mon Feb  9 2004 visnov@suse.cz
- disable nscd if winbind should be activated
- show "domain" flag in the list of available domains
* Mon Feb  9 2004 visnov@suse.cz
- use "idmap uid/gid" instead of "winbind uid/gid"
- use "net join" instead of "smbpasswd -j"
- use "net testjoin" instead of "wbinfo -t"
- allow domain joining if nmbstatus not found
- fix #33583: can't join domain with special chars in Administrator-pwd
- drop y2cc
- 2.9.3
* Fri Jan 30 2004 visnov@suse.cz
- remove "global" keyword
- fix command line support
* Fri Jan 30 2004 visnov@suse.cz
- first version for the new interpreter
- 2.9.2
* Wed Oct 29 2003 visnov@suse.cz
- adapted testsuite
- 2.9.1
* Thu Oct  2 2003 jsuchome@suse.cz
- adapted to new Autologin interface
- 2.9.0
* Wed Sep 24 2003 visnov@suse.cz
- sync settings to disk before trying to join domain (#31722 -
  samba-client can't join domain)
- 2.8.11
* Tue Sep 23 2003 jsuchome@suse.cz
- disable autologin when winbind is enabled (#31470)
- 2.8.10
* Wed Sep 17 2003 visnov@suse.de
- we require "samba-client", not "samba" package
- 2.8.9
* Tue Sep  9 2003 visnov@suse.de
- #30300: don't misinform  user about required apache2 package
- 2.8.8
* Mon Sep  8 2003 nashif@suse.de
- #30291: return list of required package for autoyast
* Mon Sep  8 2003 visnov@suse.de
- fixed autoyast problems (similar to #30161)
- 2.8.6
* Fri Sep  5 2003 visnov@suse.de
- merged in proofread texts
- 2.8.5
* Thu Sep  4 2003 visnov@suse.de
- restart nscd after starting winbind
* Tue Sep  2 2003 visnov@suse.de
- try harder to stop temporary winbind
* Tue Sep  2 2003 visnov@suse.de
- fix syntax errors
- fix domain joining (pass user instead of password)
* Tue Sep  2 2003 visnov@suse.de
- do not start winbind if host not in a domain
* Mon Sep  1 2003 visnov@suse.de
- fix helps, labels (style guide)
- 2.8.4
* Mon Aug 25 2003 visnov@suse.de
- 2.8.3
* Thu Aug 21 2003 visnov@suse.de
- show error dialog if required packages are not installed before quit
* Wed Aug 20 2003 visnov@suse.de
- Do not show Initializing... dialog
* Mon Aug 11 2003 visnov@suse.de
- added desktop file
- merged in proofread texts
- 2.8.2
* Wed Jul 30 2003 visnov@suse.de
- start nmbstatus as soon as possible
* Mon Jul 28 2003 visnov@suse.de
- support for call_modules option in pam_unix2.conf
- 2.8.1
* Thu May 29 2003 visnov@suse.cz
- initial version
